GDB (xrefs)

Functions
/tmp/gdb-8.1/gdb/alpha-bsd-tdep.c File Reference
`#include "defs.h"`
`#include "regcache.h"`
`#include "alpha-tdep.h"`
`#include "alpha-bsd-tdep.h"`

Go to the source code of this file.

## Functions
void | alphabsd_supply_reg (struct regcache *regcache, const char *regs, int regno)
void | alphabsd_fill_reg (const struct regcache *regcache, char *regs, int regno)
void | alphabsd_supply_fpreg (struct regcache *regcache, const char *fpregs, int regno)
void | alphabsd_fill_fpreg (const struct regcache *regcache, char *fpregs, int regno)

## Function Documentation

## ◆ alphabsd_fill_fpreg()

void alphabsd_fill_fpreg | ( | const struct regcache * | regcache,
|  | char * | fpregs,
|  | int | regno
| ) |  |

Definition at line 52 of file alpha-bsd-tdep.c.

References alpha_fill_fp_regs().

Referenced by alphabsd_store_inferior_registers(), and fill_fpregset().

## ◆ alphabsd_fill_reg()

void alphabsd_fill_reg | ( | const struct regcache * | regcache,
|  | char * | regs,
|  | int | regno
| ) |  |

Definition at line 37 of file alpha-bsd-tdep.c.

References alpha_fill_int_regs().

Referenced by alphabsd_store_inferior_registers(), and fill_gregset().

## ◆ alphabsd_supply_fpreg()

void alphabsd_supply_fpreg | ( | struct regcache * | regcache,
|  | const char * | fpregs,
|  | int | regno
| ) |  |

Definition at line 44 of file alpha-bsd-tdep.c.

References alpha_supply_fp_regs().

Referenced by alphabsd_fetch_inferior_registers(), and supply_fpregset().

## ◆ alphabsd_supply_reg()

void alphabsd_supply_reg | ( | struct regcache * | regcache,
|  | const char * | regs,
|  | int | regno
| ) |  |

Definition at line 30 of file alpha-bsd-tdep.c.

References alpha_supply_int_regs().

Referenced by alphabsd_fetch_inferior_registers(), and supply_gregset().